> For the complete documentation index, see [llms.txt](https://developers.felt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.felt.com/js-sdk-api-reference/layers/rasterband.md).

# RasterBand

***

The RasterBand interface describes one band of a raster: how to identify it when asking for statistics, what to call it, and the values needed to calculate the encoded raster value from the red, green, and blue values of a pixel.

## Properties

### id

> **id**: `string`

The identifier for this band, such as `"band:1"`.

Pass this to the raster statistics methods, such as [LayersController.getRasterAggregates](/js-sdk-api-reference/layers/layerscontroller.md#getrasteraggregates), and use it to refer to the band inside a filter.

***

### displayName

> **displayName**: `string`

The name of the band, such as "Red" or "Elevation".

Felt takes this from the raster itself when the file names its bands, and falls back to "Band 1", "Band 2" and so on.

***

### base

> **base**: `number`

Encoding base value as a floating point number

***

### interval

> **interval**: `number`

Encoding interval as a floating point number

***

### bandIndex

> **bandIndex**: `number`

1-based index of the band in the raster


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.felt.com/js-sdk-api-reference/layers/rasterband.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
